## NAME

CURLOPT_MAX_RECV_SPEED_LARGE - rate limit data download speed

## SYNOPSIS

    #include <curl/curl.h>

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MAX_RECV_SPEED_LARGE,
                              curl_off_t speed);

## DESCRIPTION

Pass a curl_off_t as parameter. If a download exceeds this speed (counted in bytes per second) on cumulative average during the transfer, the transfer will pause to keep the average rate less than or equal to the parameter value. Defaults to unlimited speed.

This option doesn't affect transfer speeds done with FILE:// URLs.

## DEFAULT

0, disabled

## PROTOCOLS

All but file://

## EXAMPLE

## AVAILABILITY

Added in 7.15.5

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_MAX_SEND_SPEED_LARGE, CURLOPT_LOW_SPEED_LIMIT

This HTML page was made with roffit.